CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  WE DRAW THE SINE FUNCTION AND SOME AXES         C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCC --- XDES,YDES ---> points for the curve (x,sin(x))
CCC --- NDES ---> number of points for the curve
      PARAMETER(NDES=20)
      DIMENSION :: XDES(NDES),YDES(NDES)
      INTEGER :: XK,YK
      COMMON/SIZES/SIZE(4)
      DATA SIZE/7.,4.,1.,1./
      
      PI=4*ATAN(1.)

CCC --- begin of the GGG environment
      CALL BEGIN_GGG('ax1')

      XMIN=-PI
      XMAX=PI
      YMIN=-2.
      YMAX=2.

CCC --- size of the characters and of the lines  
      CALL SCALE_CHAR(1.)
      CALL THICK_PIXEL(4)
CCC --- we draw the frame     
      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME

CCC --- we draw the sine function
      
      DO I=1,NDES
        XDES(I)=-PI-0.5+I*(7.+PI)/NDES
	YDES(I)=SIN(XDES(I))
      END DO      
      CALL LING(XDES,YDES,NDES)

CCC --- we draw the x-axes with origin (X0,Y0), 
CCC --- delimiters (X1,X2), 
CCC --- XD and XK are for the graduation

      X0=0.
      Y0=0.
      X1=-PI
      X2=PI
      XD=1.
      XK=2
      CALL AXEX(X0,Y0,X1,X2,XD,XK)
      CALL TEXT(0.6,-0.8,'XD=1.,XK=2')

CCC --- we draw the y-axes      
      Y1=-2.
      Y2=2.
      YD=0.5
      YK=1
      CALL AXEY(X0,Y0,Y1,Y2,YD,YK)     
      CALL TEXT(-2.5,1.25,'YD=0.5,YK=1')

CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text
           
      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      
      END
