CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  WE DRAW BUBBLES WITH BUBBLES                    C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

CCC --- N2 ---> numbers of bubbles
      PARAMETER(N2=10)
      DIMENSION :: XDES(N2),YDES(N2)
      CHARACTER(8) :: SYM
      COMMON/SIZES/SIZE(4)
      DATA SIZE/7.,4.,1.,1./
      
CCC --- begin of the GGG environment        
      CALL BEGIN_GGG('bub3')

      XMIN=0.
      XMAX=7.
      YMIN=0.
      YMAX=4.
      
CCC --- AMMSML, AMMBIG are the smallest and biggest  
CCC --- size of the symbol SYM
CCC --- GREY is the brightness of the symbol
      
      AMMSML=1.5
      AMMBIG=2.5
      GREY=0.5
      SYM='circle'
       
      CALL SCALE_CHAR(1.3)
      
CCC --- we draw the frame
      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME

      N1=1
      NDIF=3
CCC --- positions of the bubbles     
      DO I=1,N2
        XDES(I)=0.+I*6./N2
	YDES(I)=3.5
      END DO      

CCC --- we draw N2 bubbles with different size
      
      CALL BUBBLES(XDES,YDES,N1,N2,NDIF,AMMBIG,AMMSML,GREY,SYM)     
      CALL TEXT(0.4,2.5,'N1=1,NDIF=3')
      
CCC --- same stuffs but with other parameters

      N1=3
      NDIF=2
     
      DO I=1,N2
        XDES(I)=0.+I*6./N2
	YDES(I)=1.5
      END DO      
      CALL BUBBLES(XDES,YDES,N1,N2,NDIF,AMMBIG,AMMSML,GREY,SYM)     
      CALL TEXT(0.4,0.5,'N1=3,NDIF=2')
           
CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text

      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      
      END
